struct ccw_dev_id
Prev | I/O functions for channel-attached devices | Next

## Name

struct ccw_dev_id — unique identifier for ccw devices

## Synopsis

    struct ccw_dev_id {
      u8 ssid;
      u16 devno;
    };

## Members

ssid

  subchannel set id

devno

  device number

## Description

This structure is not directly based on any hardware structure. The hardware identifies a device by its device number and its subchannel, which is in turn identified by its id. In order to get a unique identifier for ccw devices across subchannel sets, `struct` ccw_dev_id has been introduced.

Prev | Up | Next
struct ciw | Home | ccw_dev_id_is_equal